[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.GetNodeAt

Searches all expanded nodes for the tree node at the specified position.

## Declaration

Source position: comctrls.pp line 3716

`public function TCustomTreeView.GetNodeAt(`
`X: Integer;`
`Y: Integer`
`):TTreeNode;`

## Arguments

`X` |  | Horizontal coordinate for the node or row.
`Y` |  | Vertical coordinate for the tree node or row.

## Function result

Visible tree node at the specified position, or Nil when a node is not found at the position.

## Description

Calls GetNodeAtY to get the node which has the vertical coordinate specified in Y. The node is used as the return value for the method if the X coordinate is within the display area for the node content defined as the left edge of the state icon and the right edge of the Text for the node. The return value is Nil if a node is not found, or the coordinates are not in the usable client area for the control (ClientWidth-BorderWidth and ClientHeight-BorderWidth).

## See also

TCustomTreeView.GetNodeAt |  | Searches all expanded nodes for the tree node at the specified position.
TCustomTreeView.Options |  | The set of options enabled in the tree view control.
TTreeViewOptions |  | Set type used to store values from the TTreeViewOption enumeration.
TTreeViewOption |  | TTreeViewOption - enumerated type containing the permissible values for Options in TreeViews.